GLS ShipIT 5.0.11 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.ws.parcelshopsearch.GLSPhonenumber Class Reference

## Public Member Functions
String | getCountry ()
void | setCountry (String value)
String | getRegion ()
void | setRegion (String value)
String | getContact ()
void | setContact (String value)
String | getExtension ()
void | setExtension (String value)

## Protected Attributes
String | country
String | region
String | contact
String | extension

## Detailed Description

Java class for GLSPhonenumber complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="GLSPhonenumber">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="Country" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="Region" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="Contact" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="Extension" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 39 of file GLSPhonenumber.java.

## Member Function Documentation

## ◆ getContact()

String eu.glsgroup.ws.parcelshopsearch.GLSPhonenumber.getContact | ( |  | ) |

Gets the value of the contact property.

Returns
  possible object is String

Definition at line 106 of file GLSPhonenumber.java.

## ◆ getCountry()

String eu.glsgroup.ws.parcelshopsearch.GLSPhonenumber.getCountry | ( |  | ) |

Gets the value of the country property.

Returns
  possible object is String

Definition at line 58 of file GLSPhonenumber.java.

## ◆ getExtension()

String eu.glsgroup.ws.parcelshopsearch.GLSPhonenumber.getExtension | ( |  | ) |

Gets the value of the extension property.

Returns
  possible object is String

Definition at line 130 of file GLSPhonenumber.java.

## ◆ getRegion()

String eu.glsgroup.ws.parcelshopsearch.GLSPhonenumber.getRegion | ( |  | ) |

Gets the value of the region property.

Returns
  possible object is String

Definition at line 82 of file GLSPhonenumber.java.

## ◆ setContact()

void eu.glsgroup.ws.parcelshopsearch.GLSPhonenumber.setContact | ( | String | value | ) |

Sets the value of the contact property.

Parameters

  value | allowed object is String

Definition at line 118 of file GLSPhonenumber.java.

## ◆ setCountry()

void eu.glsgroup.ws.parcelshopsearch.GLSPhonenumber.setCountry | ( | String | value | ) |

Sets the value of the country property.

Parameters

  value | allowed object is String

Definition at line 70 of file GLSPhonenumber.java.

## ◆ setExtension()

void eu.glsgroup.ws.parcelshopsearch.GLSPhonenumber.setExtension | ( | String | value | ) |

Sets the value of the extension property.

Parameters

  value | allowed object is String

Definition at line 142 of file GLSPhonenumber.java.

## ◆ setRegion()

void eu.glsgroup.ws.parcelshopsearch.GLSPhonenumber.setRegion | ( | String | value | ) |

Sets the value of the region property.

Parameters

  value | allowed object is String

Definition at line 94 of file GLSPhonenumber.java.

## Member Data Documentation

## ◆ contact

String eu.glsgroup.ws.parcelshopsearch.GLSPhonenumber.contact
| protected

Definition at line 46 of file GLSPhonenumber.java.

## ◆ country

String eu.glsgroup.ws.parcelshopsearch.GLSPhonenumber.country
| protected

Definition at line 42 of file GLSPhonenumber.java.

## ◆ extension

String eu.glsgroup.ws.parcelshopsearch.GLSPhonenumber.extension
| protected

Definition at line 48 of file GLSPhonenumber.java.

## ◆ region

String eu.glsgroup.ws.parcelshopsearch.GLSPhonenumber.region
| protected

Definition at line 44 of file GLSPhonenumber.java.

The documentation for this class was generated from the following file:

- GLSPhonenumber.java